package main

type Dto struct {
	Code int         `json:"code"`
	Msg  string      `json:"msg"`
	Data interface{} `json:"data"`
}

func NewDto(code int, msg string, data interface{}) *Dto {
	return &Dto{
		Code: code,
		Msg:  msg,
		Data: data,
	}
}

func FailDto(msg string, data interface{}) *Dto {
	return NewDto(1, msg, data)
}

func SuccessDto(data interface{}) *Dto {
	return NewDto(200, "success", data)
}

func (d *Dto) IsSuccess() bool {
	return d.Code == 200
}
