import {ElMessage, ElMessageBox} from "element-plus";
import {LogError, LogWarning} from "../../wailsjs/runtime/runtime.js";


export const execute = (func, ...args) => {
  return new Promise((resolve, reject) => {
    func(...args).then(dto => {
      if (!dto || dto.code === undefined || dto.code === null) {
        LogError('响应结果格式错误: ' + dto)
        console.error('响应结果格式错误:', dto, 'func: ', func)
      }
      if (dto.code === 200) {
        resolve(dto.data)
      } else {
        ElMessage.warning(dto.msg)
        LogWarning(dto)
        reject(dto)
      }
    }).catch(err => {
      ElMessage.error(err.message)
      LogError(err)
      reject(err)
    });
  });

};